﻿body {
    padding-top: 0 !important;
}

html, body {
    min-height: 100%;
    height: 100%;
}

#solutionCover {
    height: 50%;
    min-height: 350px;
}

#contact .columns {
    padding: 0;
    vertical-align: top;
    background-color: #fff;
}

#contact .contact-form {
    padding: 45px 60px;
}

#solutionCover .jump-down {
    display: none;
}

#contact .contact-form,
#contact .congrats-message {
    position: relative;
    height: 100%;
}

    #contact .congrats-message .icon {
        font-size: 80px;
        display: block;
        margin: 30px auto;
        border: 2px solid;
        color: #00a651;
        width: 120px;
        height: 120px;
        line-height: 116px;
        border-radius: 50%;
    }

#contact .congrats-message {
    text-align: center;
    padding-top: 18%;
    display: none;
}

#contact .contact-form .form-group {
    position: relative;
}

#contact .contact-form .field-validation-error {
    position: absolute;
    right: 0;
    top: 0;
    background-color: #e51400;
    padding: 0px 5px;
    color: #fff;
    font-size: 11px;
    line-height: 20px;
}

    #contact .contact-form .field-validation-error:after {
        height: 7px;
        content: "";
        width: 7px;
        background-color: #e51400;
        position: absolute;
        bottom: -3px;
        right: 5px;
        -webkit-transform: rotate(45deg);
        -moz-transform: rotate(45deg);
        -ms-transform: rotate(45deg);
        -o-transform: rotate(45deg);
        transform: rotate(45deg);
    }

#contact .contact-form .form-control.input-validation-error {
    border-color: rgb(229, 20, 0);
}

    #contact .contact-form .form-control.input-validation-error:focus {
        border-color: rgb(210, 22, 4);
        -webkit-box-shadow: inset 0 1px 1px #000000, 0 0 8px #d21604;
        -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(210, 22, 4, 0.6);
        box-shadow: inset 0 1px 1px #000000, 0 0 8px #d21604;
        box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(210, 22, 4, 0.6);
    }


@media (max-width:767px) {
    #contact .contact-form h2 {
        font-size: 20px;
    }
}

@media (min-width:768px) and (max-media:991px) {
    #contact .contact-form h2 {
        font-size: 26px;
    }
}

#recaptchaBox .g-recaptcha {
    float: right !important;
}

#recaptchaBox .field-validation-error {
    top: -32% !important;
}

#subscribeBox {
    position: relative;
    height: 77px;
}

.center-vertical {
    position: absolute;
    top: 50%;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    transform: translateY(-50%);
}

@media (max-width:1284px) {
    #recaptchaBox {
        width: 100%;
        display: block;
    }

        #recaptchaBox .g-recaptcha {
            float: initial !important;
        }

        #recaptchaBox > div.form-group {
            display:inline-block !important;
        }

    #subscribeBox {
        position: relative;
        height: auto;
    }

        #subscribeBox .center-vertical {
            position: static !important;
            top: initial;
            -webkit-transform: initial;
            -ms-transform: initial;
            -moz-transform: initial;
            transform: initial;
        }

    #contact .contact-form {
        padding: 45px 15px;
    }
}